Loading...
Searching...
No Matches
AVVDPAUContext Struct Reference
libavcodec » Codecs » Hardware Accelerators bridge » VDPAU Decoder and Renderer

This structure is used to share data between the libavcodec library and the client video application. More...

`#include <libavcodec/vdpau.h>`

## Data Fields

VdpDecoder | decoder
| VDPAU decoder handle.
VdpDecoderRender * | render
| VDPAU decoder render callback.
AVVDPAU_Render2 | render2

## Detailed Description

This structure is used to share data between the libavcodec library and the client video application.

This structure will be allocated and stored in AVCodecContext.hwaccel_context by av_vdpau_bind_context(). Members can be set by the user once during initialization or through each AVCodecContext.get_buffer() function call. In any case, they must be valid prior to calling decoding functions.

The size of this structure is not a part of the public ABI and must not be used outside of libavcodec.

Definition at line 78 of file vdpau.h.

## Field Documentation

## decoder

VdpDecoder AVVDPAUContext::decoder

VDPAU decoder handle.

Set by user.

Definition at line 84 of file vdpau.h.

## render

VdpDecoderRender* AVVDPAUContext::render

VDPAU decoder render callback.

Set by the user.

Definition at line 91 of file vdpau.h.

## render2

AVVDPAU_Render2 AVVDPAUContext::render2

Definition at line 93 of file vdpau.h.

The documentation for this struct was generated from the following file:

- libavcodec/vdpau.h